/// <reference types="react" />
import { ConversationQuery } from '../../../../Conversation.generated';
declare type MessageType = ConversationQuery['Conversation']['messages'][0];
declare type SenderProps = {
    event: MessageType;
};
declare type Props = {
    bot?: boolean;
    right?: boolean;
    sender: {
        name?: string;
        title?: string;
        logoURL?: string;
    };
};
export declare function OperatorTooltip({ sender, right }: Props): JSX.Element;
export declare function SenderTooltip({ event }: Pick<SenderProps, 'event'>): JSX.Element;
export {};
